Debian Bug report logs - #276962
harbour: FTBFS on amd64: harbour hangs on run.

version graph

Package: harbour; Maintainer for harbour is (unknown);

Reported by: Kurt Roeckx <Q@ping.be>

Date: Sun, 17 Oct 2004 20:03:01 UTC

Severity: grave

Tags: upstream

Found in version 0.44-1

Fixed in version 0.45.0-0.1+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Forwarded to harbour@matrixlist.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <Q@ping.be>:
New Bug report received and forwarded. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <Q@ping.be>
To: submit@bugs.debian.org
Subject: harbour: FTBFS on amd64: harbour hangs on run.
Date: Sun, 17 Oct 2004 21:50:06 +0200
Package: harbour
Version: 0.44-1
Severity: important

The package fails to build on amd64.  This are the last lines of
the build log:
../../../../source/compiler/linux/gcc/harbour ../../color53.prg -n -q0 -w -es2
-gc0 -I../../ -I../../../../include
gcc -I. -I../../../../include -Wall -g  -c color53.c -ocolor53.o
../../../../source/compiler/linux/gcc/harbour ../../dbdelim.prg -n -q0 -w -es2
-gc0 -I../../ -I../../../../include

That last call to harbour just hangs.

I've attached gdb to it:
0x000000000041bf2d in hb_compPCodeEval (pFunc=0x5811c0, pFunctions=0x560260,
    cargo=0x7fbfffdd40) at ../../hbpcode.c:208
208           opcode = pFunc->pCode[ ulPos ];
(gdb) bt
#0  0x000000000041bf2d in hb_compPCodeEval (pFunc=0x5811c0,
    pFunctions=0x560260, cargo=0x7fbfffdd40) at ../../hbpcode.c:208
#1  0x0000000000424509 in hb_compFixFuncPCode (pFunc=0x5811c0)
    at ../../hbfix.c:423
#2  0x000000000042f007 in hb_compFinalizeFunction () at ../../harbour.c:3292
#3  0x000000000042c664 in hb_compFunctionAdd (szFunName=0x588ba0 "EXPORTVAR",
    cScope=2 '\002', iType=0) at ../../harbour.c:1542
#4  0x0000000000401a7f in yyparse () at harbour.y:295
#5  0x0000000000430a13 in hb_compCompile (
    szPrg=0x7fbffffc46 "../../dbdelim.prg", argc=9, argv=0x7fbffff9b8)
    at ../../harbour.c:4184
#6  0x000000000042b02d in main (argc=9, argv=0x7fbffff9b8)
    at ../../harbour.c:250

It doesn't get out of the while loop:
206        while( ulPos < pFunc->lPCodePos )
(gdb)
208           opcode = pFunc->pCode[ ulPos ];
(gdb)
209           if( opcode < HB_P_LAST_PCODE )
(gdb)
211              usSkip = s_pcode_len[ opcode ];
(gdb)
212              pCall = pFunctions[ opcode ];
(gdb)
213              if( pCall )
(gdb)
220              ulPos += usSkip;
(gdb)
206        while( ulPos < pFunc->lPCodePos )
(gdb) p usSkip
$1 = 0
(gdb) p ulPos
$2 = 459
(gdb) p pFunc->lPCodePos
$3 = 1833
(gdb) p opcode
$4 = 125 '}'


In hbpcode.h I found this:
   HB_P_ONE,                   /* 122 places a ONE on the virtual machine stack
*/
   HB_P_MACROLIST,             /* 122 HB_P_MACROPUSHLIST envelope start. */

It's twice the same number.  This probably isn't going to cause any
problems since the numbers aren't actualy used anywhere.

So opcode 125 really is a HB_P_MPUSHSTR (and not an
HB_P_LOCALNEARADDINT as hbpcode.h would suggest)


Kurt




Tags added: upstream Request was from Luis Mayoral <mayoral@linuxadicto.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to harbour@matrixlist.com. Request was from Luis Mayoral <mayoral@linuxadicto.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Kaare Hviid <ukh@id.cbs.dk>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #14 received at 276962@bugs.debian.org (full text, mbox):

From: Kaare Hviid <ukh@id.cbs.dk>
To: 276962@bugs.debian.org
Subject: will harbour build on anything but LE 32bit?
Date: Fri, 22 Oct 2004 13:41:46 +0200
Having a look at include/hbdefs.h and other code, I doubt Harbour 0.44
is 64-bit clean.  Indeed, considering the buildd-logs at
buildd.debian.org, build didn't succeed on any 64-bit arch.  (The
"maybe-successful" ia64 buildd-log will reveal a bus error upon closer
examination.)  One might suspect endianness issues are involved as well.

Cheers,
-- 
Kåre Hviid                   ukh@id.cbs.dk                 +45 3815 3075
Sys Admin      Institut for Datalingvistik, Handelshøjskolen i København



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Luis Mayoral <mayoral@linuxadicto.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 276962@bugs.debian.org (full text, mbox):

From: Luis Mayoral <mayoral@linuxadicto.org>
To: Kaare Hviid <ukh@id.cbs.dk>, 276962@bugs.debian.org
Subject: Re: Bug#276962: will harbour build on anything but LE 32bit?
Date: Sun, 24 Oct 2004 20:47:55 +0200
[Message part 1 (text/plain, inline)]
El Viernes, 22 de Octubre de 2004 13:41, Kaare Hviid escribió:

> Having a look at include/hbdefs.h and other code, I doubt Harbour 0.44
> is 64-bit clean.  Indeed, considering the buildd-logs at
> buildd.debian.org, build didn't succeed on any 64-bit arch.  (The
> "maybe-successful" ia64 buildd-log will reveal a bus error upon closer
> examination.)  One might suspect endianness issues are involved as well.

There are some recent patches in harbour's cvs that make harbour more 
arch-independent.

A quote of October 11's cvs Changelog:

   ! cleaned all endian dependend code I've found - now Harbour can be
     compiled on LITLE and BIG endian machines - for some other like
     PDP ENDIAN it's enough to define proper macros in hbdefs.h
   + added macros for to get/put values in chosen byte order:
         HB_GET_LE_[U]INT{16,24,32,64}( pPtr )
         HB_GET_BE_[U]INT{16,24,32,64}( pPtr )
         HB_PUT_LE_[U]INT{16,24,32,64}( pPtr, nVal )
         HB_PUT_BE_[U]INT{16,24,32,64}( pPtr, nVal )
   + added macro HB_CAST_BYTE_NUMBERS_OFF which disables casting in
     HB_{GET|PUT}_{LE|BE}_* macros - it's necessary for some platforms
     like ALPHA DEC.
   ! cleaned the code for 64bit machines

I'll make a new version of the package including these patches.

-- 
 .''`.      Proudly running (again) Debian GNU/Linux Sid (Kernel 2.6.8)
 : :' :     http://www.linuxadicto.org     http://mayoral.blogalia.com
 `. `'      GnuPG KeyID: 8C9DA2A4          JID: joesatriani@jabber.org
   `-       Listening to: Extremoduro - Sucede
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Kaare Hviid <ukh@id.cbs.dk>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #24 received at 276962@bugs.debian.org (full text, mbox):

From: Kaare Hviid <ukh@id.cbs.dk>
To: 276962@bugs.debian.org
Subject: CVS harbour of 2004-10-31
Date: Wed, 10 Nov 2004 13:39:23 +0100
It appears that the CVS version of 2004-10-31 _builds_ on both amd64
(using gcc 3.4.2-3.0.0.1.amd64) and alpha (using gcc 3.3.5-2).


However, there are more issues, that probably should go in a another
BTS ID, when and if the harbour source deb gets updated:


hbtest from 0.44-1 used to segfault on i386, but no longer does so with
the CVS version - it yields 78 failures on i386 and amd64.  On alpha, it
breaks with:

Unrecoverable error 9014: Unsupported VM opcode
Called from DEFERROR(117)
Called from __EVAL(58)
Called from TEST_CALL(113)
Called from MAIN_HVM(69)
Called from MAIN(133)


Also, libharbour-0.44.0.so will NOT be correctly built on amd64 and
alpha since hb-mkslib assumes shared libraries can be built from non-PIC
code.


-ukh



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #29 received at 276962@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: 276962@bugs.debian.org
Subject: Building shared libs from non-PIC is a policy violation
Date: Mon, 13 Dec 2004 04:46:42 +0100
Hi,

you say that hb-mkslib assumes shared libraries can be built from non-PIC 
code.

Never ever do that on any arch. The policy rules about PIC and non-PIC are
a must and are there for a reason. Not following them will result in random
breakage on pretty much any arch. Some archs, like amd64, are extremly
sensitive to this bug and basically always fail to link, luckily.

MfG
	Goswin



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Luis Mayoral <mayoral@linuxadicto.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #34 received at 276962@bugs.debian.org (full text, mbox):

From: Luis Mayoral <mayoral@linuxadicto.org>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, 276962@bugs.debian.org
Subject: Re: Bug#276962: Building shared libs from non-PIC is a policy violation
Date: Mon, 13 Dec 2004 19:34:45 +0100
[Message part 1 (text/plain, inline)]
El Lunes, 13 de Diciembre de 2004 04:46, Goswin von Brederlow escribió:

> Never ever do that on any arch. The policy rules about PIC and non-PIC
> are a must and are there for a reason. Not following them will result in
> random breakage on pretty much any arch. Some archs, like amd64, are
> extremly sensitive to this bug and basically always fail to link,
> luckily.

Hi.

I'm waiting to the release of Harbour 0.45 to update the debian package. 
0.45 is a lot more platform-independent. I can't do nothing until that :(

-- 
 .''`.      Proudly running (again) Debian GNU/Linux Sid (Kernel 2.6.9)
 : :' :     http://www.linuxadicto.org     http://mayoral.blogalia.com
 `. `'      GnuPG KeyID: 8C9DA2A4          JID: joesatriani@jabber.org
   `-       Listening to: Led Zeppelin - Black Dog
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Adam Conrad <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #39 received at 276962@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 276962@bugs.debian.org
Subject: harbour: FTBFS on amd64: harbour hangs on run.
Date: Fri, 07 Oct 2005 04:08:41 +1000
Hi, has there been any progress on packaging the new arch-friendly
upstream version?  It looks like it was released in June...

... Adam



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Luis Mayoral <mayoral@linuxadicto.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #44 received at 276962@bugs.debian.org (full text, mbox):

From: Luis Mayoral <mayoral@linuxadicto.org>
To: Adam Conrad <adconrad@0c3.net>, 276962@bugs.debian.org
Subject: Re: Bug#276962: harbour: FTBFS on amd64: harbour hangs on run.
Date: Thu, 06 Oct 2005 20:20:56 +0200
Adam Conrad wrote:

> Hi, has there been any progress on packaging the new arch-friendly
> upstream version?  It looks like it was released in June...
> 
> ... Adam
> 

Hi Adam.

Sorry for the delay. I was very busy the last months because I have 
changed of job to a new city. Hopefully the next week I can upload 
Harbour 0.45, with these problems solved.

-- 
 .''`.      Proudly running (again) Debian GNU/Linux sid (kernel 2.6.11)
 : :' :         "Wenn ihr's nicht fühlt, ihr werdet's nicht erjagen."
 `. `'          (Si no lo sientes, nunca lo lograrás) Göethe - Fausto
   `-       http://www.linuxadicto.org       http://mayoral.blogalia.com




Severity set to `serious'. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #51 received at 276962@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 276962@bugs.debian.org
Subject: Bug ping....
Date: Mon, 23 Jan 2006 15:02:14 -0500
You said you might be able to upload harbour 0.45 in October.  Any chance it's 
going to happen soon, or should harbour be removed from 'etch' for now?



Severity set to `important'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #58 received at 276962@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 276962@bugs.debian.org
Subject: Re: bogus severity, no justification given
Date: Sun, 5 Mar 2006 00:48:25 +0000
severity 276962 serious
thanks

* Steve Langasek <vorlon@debian.org> [2006-02-20 01:34]:
> severity 276962 important
> thanks

Steve, this bug is certainly serious, if not grave.  We have binaries
of this package in the archive which are _obviously_ non-working.  At
least the compilations on ia64, hppa and sparc resulted in a "bus
error" (look at the build logs) and yet the build was "successful" and
uploaded to the archive.  I doubt the binary works...
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #63 received at 276962@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 276962@bugs.debian.org
Cc: Nathanael Nerode <neroden@twcny.rr.com>
Subject: Re: Bug ping....
Date: Sun, 5 Mar 2006 00:48:46 +0000
* Nathanael Nerode <neroden@twcny.rr.com> [2006-01-23 15:02]:
> You said you might be able to upload harbour 0.45 in October.  Any

Yes, please.  What's the status of this?
-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `serious'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #70 received at 276962@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 276962@bugs.debian.org
Subject: Re: bogus severity, no justification given
Date: Sat, 4 Mar 2006 17:28:26 -0800
[Message part 1 (text/plain, inline)]
severity 276962 grave
thanks

On Sun, Mar 05, 2006 at 12:48:25AM +0000, Martin Michlmayr wrote:
> severity 276962 serious
> thanks

> * Steve Langasek <vorlon@debian.org> [2006-02-20 01:34]:
> > severity 276962 important
> > thanks

> Steve, this bug is certainly serious, if not grave.  We have binaries
> of this package in the archive which are _obviously_ non-working.  At
> least the compilations on ia64, hppa and sparc resulted in a "bus
> error" (look at the build logs) and yet the build was "successful" and
> uploaded to the archive.  I doubt the binary works...

Ok, this would be the missing justification, thanks. :)  I only saw mention
of ia64 bus errors in the bug log, and I didn't think the package had been
uploaded on ia64.  Sorry, I simply couldn't guess the reason for the last
upgrade, given the empty mail that Justin sent.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Severity set to `grave'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #77 received at 276962@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 276962@bugs.debian.org
Subject: harbour
Date: Tue, 16 May 2006 19:37:33 -0400
	

 
From http://www.harbour-project.org/

Harbour News

2005-06-27

    * Release of Alpha build 45
    * Harbour now runs on 64 bits !
    * Improved memory handling
    * Support for static functions used in macro compiled expressions
    * Better Clipper compatibility in operations with numbers.
    * Added new .prg #defines: __PLATFORM__, __ARCH{16|32|64}BIT__, __LITTLE_ENDIAN__|__BIG_ENDIAN__|__PDP_ENDIAN__
    * Support for Clipper undocumented <x:&> match marker
    * Many bug fixes and enhancements in all other subsystems.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Luis Mayoral <mayoral@linuxadicto.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #82 received at 276962@bugs.debian.org (full text, mbox):

From: Luis Mayoral <mayoral@linuxadicto.org>
To: Clint Adams <schizo@debian.org>, 276962@bugs.debian.org
Subject: Re: Bug#276962: harbour
Date: Wed, 17 May 2006 11:38:54 +0200
El 17/05/2006, a las 1:37, Clint Adams escribió:

> From http://www.harbour-project.org/
>
> Harbour News
>
> 2005-06-27
>
>     * Release of Alpha build 45

Any NMU will be welcome. I've tried some time ago to build with
the 0.44 debian/* without problems. But since then, I didn't have
time for Debian (a lot of work, and even i currently don't have a
x86 (mi actual iMac only have a very preliminary support in kernel
2.6.16).


Information forwarded to debian-bugs-dist@lists.debian.org, Luis Mayoral <mayoral@linuxadicto.org>:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Mayoral <mayoral@linuxadicto.org>. Full text and rfc822 format available.

Message #87 received at 276962@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Luis Mayoral <mayoral@linuxadicto.org>
Cc: 276962@bugs.debian.org
Subject: Re: Bug#276962: harbour
Date: Wed, 17 May 2006 09:47:36 -0400
> Any NMU will be welcome. I've tried some time ago to build with
> the 0.44 debian/* without problems. But since then, I didn't have
> time for Debian (a lot of work, and even i currently don't have a
> x86 (mi actual iMac only have a very preliminary support in kernel
> 2.6.16).

Do you still have the tarball or can you point us to a copy?  I can't
get anything from ftp.harbour-project.org .



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#276962; Package harbour. Full text and rfc822 format available.

Acknowledgement sent to Luis Mayoral <mayoral@linuxadicto.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #92 received at 276962@bugs.debian.org (full text, mbox):

From: Luis Mayoral <mayoral@linuxadicto.org>
To: Clint Adams <schizo@debian.org>
Cc: 276962@bugs.debian.org
Subject: Re: Bug#276962: harbour
Date: Wed, 17 May 2006 17:30:45 +0200
El 17/05/2006, a las 15:47, Clint Adams escribió:

>> Any NMU will be welcome. I've tried some time ago to build with
>> the 0.44 debian/* without problems. But since then, I didn't have
>> time for Debian (a lot of work, and even i currently don't have a
>> x86 (mi actual iMac only have a very preliminary support in kernel
>> 2.6.16).
>
> Do you still have the tarball or can you point us to a copy?  I can't
> get anything from ftp.harbour-project.org .

That ftp has a problem with passive connections, so you need to download
with PORT instead of PASV. Anyways, I've put a copy of the .tar.gz in my
server:

http://www.linuxadicto.org/downloads/harbour-0.45.0.src.tar.gz

Please mail me when you finish with it to delete the file in my server.


Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <Q@ping.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #97 received at 276962-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 276962-done@bugs.debian.org
Subject: harbour has been removed from Debian, closing #276962
Date: Thu, 8 May 2008 13:54:16 +0100
Version: 0.45.0-0.1+rm

The harbour package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/423287 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

--
Marco Rodrigues
http://Marco.Tondela.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 08:41:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:46:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.